set_algorithm.hpp File Reference

## Typedefs

using | ranges::set_difference_result = detail::in1_out_result< I, O >
template<typename I1 , typename I2 , typename O >
using | ranges::set_symmetric_difference_result = detail::in1_in2_out_result< I1, I2, O >
using | ranges::set_union_result = detail::in1_in2_out_result< I1, I2, O >

## Functions

template<typename I1 , typename S1 , typename I2 , typename S2 , typename C = less, typename P1 = identity, typename P2 = identity>
CPP_TEMPLATE_AUX_0 | ranges::c (requires input_iterator< I1 > &&sentinel_for< S1, I1 > &&input_iterator< I2 > &&sentinel_for< S2, I2 > &&indirect_strict_weak_order< C, projected< I1, P1 >, projected< I2, P2 >>) ccconstexpr bool includes(I1 begin1
| function template `includes`
template<typename Rng1 , typename Rng2 , typename O , typename C = less, typename P1 = identity, typename P2 = identity>
CPP_TEMPLATE_AUX_0 | ranges::c (requires range< Rng1 > &&range< Rng2 > &&mergeable< iterator_t< Rng1 >, iterator_t< Rng2 >, O, C, P1, P2 >) ccconstexpr set_union_result< borrowed_iterator_t< Rng1 >
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename I1 , typename S1 , typename I2 , typename S2 , typename O , typename C = less, typename P1 = identity, typename P2 = identity>
CPP_TEMPLATE_AUX_0 | ranges::c (requires sentinel_for< S1, I1 > &&sentinel_for< S2, I2 > &&mergeable< I1, I2, O, C, P1, P2 >) ccconstexpr set_union_result< I1
| function template `set_union` More...
CPP_TEMPLATE_AUX_0 O | ranges::set_difference (I1 begin1, S1 end1, I2 begin2, S2 end2, O out, C pred=C{}, P1 proj1=P1{}, P2 proj2=P2{})
CPP_TEMPLATE_AUX_0 O | ranges::set_difference (Rng1 &&rng1, Rng2 &&rng2, O out, C pred=C{}, P1 proj1=P1{}, P2 proj2=P2{})
CPP_TEMPLATE_AUX_0 O | ranges::set_symmetric_difference (I1 begin1, S1 end1, I2 begin2, S2 end2, O out, C pred=C{}, P1 proj1=P1{}, P2 proj2=P2{})
CPP_TEMPLATE_AUX_0 O | ranges::set_symmetric_difference (Rng1 &&rng1, Rng2 &&rng2, O out, C pred=C{}, P1 proj1=P1{}, P2 proj2=P2{})
CPP_TEMPLATE_AUX_0 O | ranges::set_union (I1 begin1, S1 end1, I2 begin2, S2 end2, O out, C pred=C{}, P1 proj1=P1{}, P2 proj2=P2{})
CPP_TEMPLATE_AUX_0 O | ranges::set_union (Rng1 &&rng1, Rng2 &&rng2, O out, C pred=C{}, P1 proj1=P1{}, P2 proj2=P2{})

## Variables

CPP_TEMPLATE_AUX_0 | ranges::borrowed_iterator_t< Rng2 >
CPP_TEMPLATE_AUX_0 S1 I2 S2 C P1 P2 | ranges::I2
CPP_TEMPLATE_AUX_0 S1 I2 S2 O C P1 P2 | ranges::O
CPP_TEMPLATE_AUX_0 S1 I2 S2 O | ranges::out
CPP_TEMPLATE_AUX_0 S1 I2 S2 C P1 P2 | ranges::P2